const itemBlacklist = [
	"allium_peripherals:chat_modem_creative"
]

// handle items
onEvent('item.pickup', event => {
	if (itemBlacklist.includes(event.item.id)) {
			event.cancel();
		};
	
});
onEvent('item.toss', event => {
	if (itemBlacklist.includes(event.item.id)) {
			event.cancel();
		};
});
onEvent('item.right_click', event => {
	if (itemBlacklist.includes(event.item.id)) {
			event.cancel();
	};
});

// handle blocks
onEvent('block.place', event => {
	if (itemBlacklist.includes(event.block.id)) {
			event.cancel();
	};
});
onEvent('block.break', event => {
	if (itemBlacklist.includes(event.block.id)) {
			event.cancel();
	};
});
onEvent('block.right_click', event => {
	if (itemBlacklist.includes(event.block.id)) {
			event.cancel();
	};
});
onEvent('block.left_click', event => {
	if (itemBlacklist.includes(event.block.id)) {
			event.cancel();
	};
});